/*
							Linked Objects Demo by Hiead

		This is a demonstration of how objects can hold links to other objects in
	so-called "chains." Chains may have multi-directional links, but for the simplicity
	of this demo, only a unilateral linking method was used. Each link holds a reference
	to the next chain link in sequence, and eventually one would reach the final piece.

		This demo in particular merely demonstrates the idea of a somewhat train-like
	control, in which each link follows the next. This is of course how trains work
	(At least, I haven't seen trains pull out from the middle and shift control to a
	random car in the chain). However, the idea may extend to many other usages.
*/